.\"	$OpenBSD: sis.4,v 1.31 2013/06/02 20:28:26 tedu Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"	Bill Paul <wpaul@ee.columbia.edu>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"   without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/sis.4,v 1.2 1999/11/15 23:14:27 phantom Exp $
.\"
.Dd $Mdocdate: June 2 2013 $
.Dt SIS 4
.Os
.Sh NAME
.Nm sis
.Nd "SiS 900, SiS 7016, and NS DP83815/6 10/100 Ethernet device"
.Sh SYNOPSIS
.Cd "sis* at pci?"
.Cd "icsphy* at mii?"
.Cd "nsphyter* at mii?"
.Cd "rlphy* at mii?"
.Sh DESCRIPTION
The
.Nm
driver provides support for PCI Ethernet adapters and embedded
controllers based on the Silicon Integrated Systems SiS 900 /
SiS 7016 Fast Ethernet controller chips, and National
Semiconductor DP83815 (MacPHYTER) / DP83816 (MacPHYTER-II) PCI
Ethernet controller chips, including the following:
.Pp
.Bl -bullet -compact
.It
@Nifty FNECHARD IFC USUP-TX
.It
MELCO LGY-PCI-TXC
.It
Netgear FA311, FA312, FA331
.It
Soekris Engineering lan1621, lan1641
.El
.Pp
The SiS 900 is a 100Mbps Ethernet MAC and MII-compliant transceiver
in a single package.
It uses a bus master DMA and a scatter/gather descriptor scheme.
The SiS 7016 is similar to the SiS 900 except that it has no internal PHY,
requiring instead an external transceiver to be attached to its MII interface.
The SiS 900 and SiS 7016 both have a 128-bit multicast hash filter
and a single perfect filter entry for the station address.
.Pp
The NS DP83815 and DP83816 are also 100Mbps Ethernet MACs
with integrated PHY.
The NatSemi chips and the SiS chips share many of the same features and
a fairly similar programming interface, and hence are supported
by the same driver.
.Pp
The
.Nm
driver supports the following media types:
.Bl -tag -width full-duplex
.It autoselect
Enable autoselection of the media type and options.
The user can manually override
the autoselected mode by adding media options to the
.Xr hostname.if 5
file.
.It 10baseT
Set 10Mbps operation.
The
.Ar mediaopt
option can also be used to select either
.Ar full-duplex
or
.Ar half-duplex
modes.
.It 100baseTX
Set 100Mbps (Fast Ethernet) operation.
The
.Ar mediaopt
option can also be used to select either
.Ar full-duplex
or
.Ar half-duplex
modes.
.El
.Pp
The
.Nm
driver supports the following media options:
.Bl -tag -width full-duplex
.It full-duplex
Force full duplex operation.
.It half-duplex
Force half duplex operation.
.El
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh DIAGNOSTICS
.Bl -diag
.It "sis0: couldn't map ports/memory"
A fatal initialization error has occurred.
.It "sis0: couldn't map interrupt"
A fatal initialization error has occurred.
.It "sis0: watchdog timeout"
The device has stopped responding to the network, or there is a problem with
the network connection (cable).
.It "sis0: no memory for rx list"
The driver failed to allocate an mbuf for the receiver ring.
.It "sis0: no memory for tx list"
The driver failed to allocate an mbuf for the transmitter ring when
allocating a pad buffer or collapsing an mbuf chain into a cluster.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr icsphy 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr netintro 4 ,
.Xr nsphyter 4 ,
.Xr pci 4 ,
.Xr rlphy 4 ,
.Xr hostname.if 5 ,
.Xr ifconfig 8
.Rs
.%T SiS 900 and SiS 7016 datasheets
.%U http://www.sis.com.tw
.Re
.Rs
.%T NatSemi DP83815 and DP83816 datasheets
.%U http://www.national.com
.Re
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx 3.0 .
.Ox
support was added in
.Ox 2.7 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Bill Paul Aq wpaul@ee.columbia.edu
and ported to
.Ox
by
.An Aaron Campbell Aq aaron@openbsd.org .
